NAME

| identify - describe an image or image sequence.

Contents

Synopsis
Description
Options
Authors
Copyright

Synopsis

| identify file [ file ... ]

Description

Identify describes the format and characteristics of one or more image files. It will also report if an image is incomplete or corrupt. The information displayed includes the scene number, the file name, the width and height of the image, whether the image is colormapped or not, the number of colors in the image, the number of bytes in the image, the format of the image (JPEG, PNM, etc.), and finally the number of seconds it took to read and process the image. An example line output from identify follows:

        images/aquarium.miff 640x480 PseudoClass 256c
               308135b MIFF 1s

If `-verbose` is set, expect additional output including any image comment:

        Image: images/aquarium.miff
        class: PseudoClass
        colors: 256
        signature: eb5dca81dd93ae7e6ffae99a527eb5dca8...
        matte: False
        geometry: 640x480
           depth: 8
        bytes: 308135
        format: MIFF
        comments:
        Imported from MTV raster image: aquarium.mtv

Back to Contents

Options

Options are processed in command line order. Any option you specify on the command line remains in effect for the set of images immediately following, until the set is terminated by the appearance of any option or -noop.

For a more detailed description of each option, see ImageMagick(1).

| -authenticate <string>

| decrypt image with this password

| -cache <threshold>

| megabytes of memory available to the pixel cache

| -debug <events>

| enable debug printout

| -density <width>x<height>

| vertical and horizontal resolution in pixels of the image

| -depth <value>

| depth of the image

| -format <string>

| output formatted image characteristics

| -help

| print usage instructions

| -interlace <type>

| the type of interlacing scheme

| -limit <type> <value>

| Disk, Map, or Memory resource limit

| -ping

| efficiently determine image characteristics

| -sampling-factor <horizontal_factor>x<vertical_factor>

| sampling factors used by JPEG or MPEG-2 encoder and YUV decoder/encoder.

| -size <width>x<height>{+offset}

| width and height of the image

| -verbose

| print detailed information about the image

| -version

| print ImageMagick version string

For a more detailed description of each option, see ImageMagick(1).

Back to Contents

Authors

| John Cristy, magick-users@imagemagick.org, ImageMagick Studio LLC, Glenn Randers-Pehrson, randeg@alum.rpi.edu, ImageMagick Studio LLC.

Back to Contents

Copyright

Copyright (C) 2002 ImageMagick Studio

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files ("ImageMagick"), to deal in ImageMagick without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of ImageMagick, and to permit persons to whom the ImageMagick is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of ImageMagick.

The software is provided "as is", without warranty of any kind, express or implied, including but not limited to the warranties of merchantability, fitness for a particular purpose and noninfringement.In no event shall ImageMagick Studio be liable for any claim, damages or other liability, whether in an action of contract, tort or otherwise, arising from, out of or in connection with ImageMagick or the use or other dealings in ImageMagick.

Except as contained in this notice, the name of the ImageMagick Studio LLC shall not be used in advertising or otherwise to promote the sale, use or other dealings in ImageMagick without prior written authorization from the ImageMagick Studio.

Back to Contents

Image manipulation software that works like magic.